Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.xkms.xkrss
Class RecoverRequest

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.xkms.Message
oracle.security.xmlsec.xkms.Request
oracle.security.xmlsec.xkms.xkrss.RecoverRequest`

public final class RecoverRequest
extends Request

The X-KRSS Recover request message.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`RecoverRequest(org.w3c.dom.Document owner)` Creates a new `RecoverRequest` instance.
`RecoverRequest(org.w3c.dom.Document owner, RecoverKeyBinding keyInfo)` Creates a new `RecoverRequest` instance.
`RecoverRequest(org.w3c.dom.Document owner, java.lang.String systemId)` Creates a new `RecoverRequest` instance.
`RecoverRequest(org.w3c.dom.Element element)` Creates a new `RecoverRequest` instance from the given Element node.

Method Summary
`Authentication` | `getAuthentication()` Returns the `xkms:Authentication` child element for this message or `null` if none is set.
`RecoverKeyBinding` | `getKeyBinding()` Returns the `xkms:RecoverKeyBinding` child element for this message or `null` if none is set.
`void` | `setAuthentication(Authentication authInfo)` Sets the `xkms:Authentication` child element for this message.
`void` | `setKeyBinding(RecoverKeyBinding keyInfo)` Sets the `xkms:RecoverKeyBinding` child element for this message.

Methods inherited from class oracle.security.xmlsec.xkms.Request
`addRespondWith, addResponseMechanism, getOriginalRequestID, getPendingNotificationIdentifier, getPendingNotificationMechanism, getRespondWiths, getResponseLimit, getResponseMechanisms, setOriginalRequestID, setPendingNotification, setResponseLimit`

Methods inherited from class oracle.security.xmlsec.xkms.Message
`addMessageExtension, clearSignature, getId, getMessageExtensions, getNonce, getOpaqueClientData, getService, getSignature, insertChild, insertChild, removeChildren, setId, setNonce, setOpaqueClientData, setService, setSignature`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecoverRequest

    public RecoverRequest(org.w3c.dom.Element element)
                   throws org.w3c.dom.DOMException

  Creates a new `RecoverRequest` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the X-KRSS RecoverRequest schema.
Throws:
  `org.w3c.dom.DOMException`

### RecoverRequest

    public RecoverRequest(org.w3c.dom.Document owner)
                   throws org.w3c.dom.DOMException

  Creates a new `RecoverRequest` instance.
Parameters:
  `owner` - The owner document of the new `RecoverRequest`.
Throws:
  `org.w3c.dom.DOMException`

### RecoverRequest

    public RecoverRequest(org.w3c.dom.Document owner,
                          java.lang.String systemId)
                   throws org.w3c.dom.DOMException

  Creates a new `RecoverRequest` instance.
Parameters:
  `owner` - The owner document of the new `RecoverRequest`.
  `systemId` - The URI string system ID for the `Message`..
Throws:
  `org.w3c.dom.DOMException`

### RecoverRequest

    public RecoverRequest(org.w3c.dom.Document owner,
                          RecoverKeyBinding keyInfo)
                   throws org.w3c.dom.DOMException

  Creates a new `RecoverRequest` instance.
Parameters:
  `owner` - The owner document of the new `RecoverRequest`.
  `keyInfo` - The `xkms:RecoverKeyBinding` carried by this `RecoverRequest` message.
Throws:
  `org.w3c.dom.DOMException`

Method Detail

### setKeyBinding

    public void setKeyBinding(RecoverKeyBinding keyInfo)
                       throws org.w3c.dom.DOMException

  Sets the `xkms:RecoverKeyBinding` child element for this message.
  Parameters:
    `keyInfo` - The `xkms:RecoverKeyBinding` carried by this `RecoverRequest` message.
  Throws:
    `org.w3c.dom.DOMException`

### getKeyBinding

    public RecoverKeyBinding getKeyBinding()
                                    throws org.w3c.dom.DOMException

  Returns the `xkms:RecoverKeyBinding` child element for this message or `null` if none is set.
  Returns:
    The `xkms:RecoverKeyBinding` carried by this `RecoverRequest` message.
  Throws:
    `org.w3c.dom.DOMException`

### setAuthentication

    public void setAuthentication(Authentication authInfo)
                           throws org.w3c.dom.DOMException

  Sets the `xkms:Authentication` child element for this message.
  Parameters:
    `authInfo` - The `xkms:Authentication` carried by this `RecoverRequest` message.
  Throws:
    `org.w3c.dom.DOMException`

### getAuthentication

    public Authentication getAuthentication()
                                     throws org.w3c.dom.DOMException

  Returns the `xkms:Authentication` child element for this message or `null` if none is set.
  Returns:
    The `xkms:Authentication` carried by this `RecoverRequest` message.
  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.